
QGIS Application - Bug report #6192

Globe plugin brings QGIS to its knees

2012-08-13 08:53 AM - Jonathan Moules

Status: Closed

Priority: High

Assignee: Pirmin Kalberer

Category: C++ plugins/Globe

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15506

Description

If I enable this plugin, even if every other plugin is disabled and this plugin is doing nothing, it will bring QGIS to its knees.

For example:

Completely new QGIS install (1.8.0.1). I enable this plug and notice that the entire interface is now really sluggish. I go to the normal "add

raster" button and when I select a folder notice that it takes several seconds for the interface to react and select it.

I can't actually see a globe or anything, all I see is a little mini-bar thing that starts in the wrong part, so not even look at the globe-part of

the plugin.

Even just turning QGIS into a window and moving that window around now ends up using 100% of one core of my CPU for long enough

that I assume its crashed!

I really don't think this plugin is in a state where it can be being distributed with the main QGIS install (I realise its off by default).

Associated revisions

Revision a3be02a4 - 2013-07-09 12:15 AM - Pirmin Kalberer

New globe navigation controls (partially fixes #6192)

History

#1 - 2012-08-13 08:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to High

isn't this a duplicate of #4053?

I changed the priority because "blockers" is used to tag regressions. This (unfortunately) is a known issue.

#2 - 2012-08-15 06:45 AM - Jonathan Moules

It doesn't crash QGIS (per #4053), just makes the entire QGIS interface go /incredibly/ slowly despite not actually doing anything.

#3 - 2012-08-16 08:59 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Target version set to Version 2.0.0

#4 - 2012-10-06 02:44 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - High Priority

#5 - 2012-12-30 09:37 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

As I suggested a few days ago in the dev mailing list, I think that we should not ship new, not working features in any qgis release and in this cases we

should tag this issue as blockers.

#6 - 2012-12-31 02:22 AM - Jonathan Moules

I'm not on the dev list, but I certainly agree that non-working or alpha-grade features shouldn't be be in the "stable" releases. I guess the other option than

"blocker" is to remove the feature from main until its stable and ready.

#7 - 2012-12-31 04:49 PM - Larry Shaffer

- File globe-plugin_buttons.png added

Hi,

Just recently finally got this plugin working under Mac (latest master branch). I concur, while the plugin is very cool, and sometimes works, it is very much

in an alpha state, IMHO.

I think it needs a bunch of love before it should ship with a stable release, or have a dialog that states it is a beta feature (not unheard of in a stable

release).

On Mac, the control buttons are not useable (see attachment:globe-plugin_buttons.png), though the CPU usage doesn't seem too bad on an Intel i7

processor.

#8 - 2013-04-03 06:49 AM - Giovanni Manghi

- Affected QGIS version changed from 1.8.0 to master

- Target version changed from Future Release - High Priority to Version 2.0.0

- Operating System deleted (windows xp)

On QGIS master (ubuntu nightly build repo) the globe seg faults the program. How to reproduce

open the globe, close it and open the globe settings, play around, click ok.

#9 - 2013-05-28 09:41 PM - Mathieu Pellerin - nIRV

- Priority changed from Severe/Regression to High

Lowering priority to high as the globe plugin was never that stable, and as such shouldn't be considered as a complete feature that has regressed.

Please change back if you don't agree with the rational :)

#10 - 2013-05-28 11:58 PM - Giovanni Manghi
Mathieu Pellerin - nIRV wrote:

Lowering priority to high as the globe plugin was never that stable, and as such shouldn't be considered as a complete feature that has regressed.

Please change back if you don't agree with the rational :)

I can agree, but then it should be specified (in plugin manager?) very clearly that is unstable or just don't ship it at all on platforms where does not work.

#11 - 2013-05-29 03:13 AM - Borys Jurgiel

Good idea, tommorow I'll introduce the "experimental" tag also for c++ plugins. It's clearly visible in the new manager.

#12 - 2013-05-29 03:33 AM - Matthias Kuhn

+1 for downgrade + experimental tag

Larry Shaffer wrote:

On Mac, the control buttons are not useable (see attachment:globe-plugin_buttons.png), though the CPU usage doesn't seem too bad on an Intel i7

processor.

Happened here on linux when running from the build directory. I've got a patch ready which fixes running from the build dir.

#13 - 2013-06-05 11:02 AM - Borys Jurgiel

Ok, it's now marked experimental in commit:3ce742d70c93

#14 - 2013-07-08 03:20 PM - Pirmin Kalberer

- Status changed from Open to Closed

Fixed in changeset commit:"a3be02a4925bc3a5a62d9ad85660a7c613794cfc".
